package com.pfe.www;

import org.json.JSONObject;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.os.Bundle;
import android.webkit.JavascriptInterface;
import android.webkit.WebView;
import android.webkit.WebViewClient;

@SuppressLint({ "SetJavaScriptEnabled", "JavascriptInterface" })
public class ProfileView extends Activity {
	
	private WebView webview;
	private JSONObject profileInfo;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.layout_web);

		webview = (WebView) findViewById(R.id.webView1);
		webview.setWebViewClient(new WebViewClient());
		webview.getSettings().setJavaScriptEnabled(true);
	}

	@Override
	protected void onResume() {
		super.onResume();
			
		final GlobalClass globalVariable = (GlobalClass) getApplicationContext();
		profileInfo = globalVariable.getJsonObject();
		
		webview.addJavascriptInterface(this, "extractAndroid");
		webview.loadUrl("file:///android_asset/profile/index.html");	
	}
	
	@JavascriptInterface
    public String getJSON() {
        return profileInfo.toString();
    }

}