
function getJSONSMS(androidId){
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.open( "GET", "http://petrumagdeleine.com/rest/getSMS?android="+androidId, false );
    xmlHttp.send( null );

    return xmlHttp.responseText;
}

function sortJSON(json){
    var data = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
    for (var i = 0; i < json.length; i++) {
        data[json[i].hour] = data[json[i].hour] + 1;
    };

    return data;
}

function drawSMS(jsonSMS){
    var data = sortJSON(jQuery.parseJSON(jsonSMS));
    
    $('#polar').highcharts({

        chart: {
            polar: true
        },

        title: {
            text: 'SMS by Hour'
        },

        pane: {
            startAngle: 0,
            endAngle: 360
        },

        xAxis: {
            tickInterval: 1,
            min: 0,
            max: 24,
            labels: {
                formatter: function () {
                    return this.value + 'H';
                }
            }
        },

        yAxis: {
            min: 0,
            max: Math.max.apply(null, data)
        },

        plotOptions: {
            series: {
                pointStart: 0,
                pointInterval: 1
            },
            column: {
                pointPadding: 0,
                groupPadding: 0
            }
        },

        series: [{
            type: 'column',
            name: 'SMS',
            data: data,
            pointPlacement: 'between'
        }],

        legend: [{
            enable : false
        }]
    });
}
